Bug 545741

Summary: SELinux is preventing /usr/libexec/polkit-1/polkitd "search" access on 2B.
Product: [Fedora] Fedora Reporter: Tim Waugh <twaugh>
Component: selinux-policyAssignee: Daniel Walsh <dwalsh>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 12CC: dwalsh, jb373, jcmj, mgrepl, ykaul
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: setroubleshoot_trace_hash:7e75f20dad9f425a7670b0a26849d32feb3d1d19b0c7d0517f85ca2aa77660fb
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-22 20:42:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Tim Waugh 2009-12-09 09:36:37 UTC
Summary:

SELinux is preventing /usr/libexec/polkit-1/polkitd "search" access on 2B.

Detailed Description:

SELinux denied access requested by polkitd. It is not expected that this access
is required by polkitd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:policykit_t:s0-s0:c0.c1023
Target Context                unconfined_u:system_r:unconfined_notrans_t:s0
Target Objects                2B [ dir ]
Source                        polkitd
Source Path                   /usr/libexec/polkit-1/polkitd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           polkit-0.95-0.git20090913.3.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-55.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.6-162.fc12.x86_64 #1 SMP
                              Fri Dec 4 00:06:26 EST 2009 x86_64 x86_64
Alert Count                   1
First Seen                    Wed 09 Dec 2009 09:32:09 GMT
Last Seen                     Wed 09 Dec 2009 09:32:09 GMT
Local ID                      9d9e4e07-b3e7-4bca-a1b2-49266507e27d
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1260351129.5:80501): avc:  denied  { search } for  pid=3342 comm="polkitd" name="3242" dev=proc ino=22475 scontext=system_u:system_r:policykit_t:s0-s0:c0.c1023 tcontext=unconfined_u:system_r:unconfined_notrans_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1260351129.5:80501): arch=c000003e syscall=2 success=no exit=-13 a0=1b165c0 a1=0 a2=0 a3=10 items=0 ppid=1 pid=3342 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="polkitd" exe="/usr/libexec/polkit-1/polkitd" subj=system_u:system_r:policykit_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-55.fc12,catchall,polkitd,policykit_t,unconfined_notrans_t,dir,search
audit2allow suggests:

#============= policykit_t ==============
allow policykit_t unconfined_notrans_t:dir search;

Comment 1 Daniel Walsh 2009-12-09 14:50:32 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-57.fc12.noarch

Comment 2 Fedora Update System 2009-12-16 13:53:14 UTC
selinux-policy-3.6.32-59.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-59.fc12

Comment 3 Fedora Update System 2009-12-18 04:41:28 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13384

Comment 4 Fedora Update System 2009-12-23 21:30:58 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.